# Generated from trabalho-academico-abnt-asciidoc-0.1.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name trabalho-academico-abnt-asciidoc

Name: rubygem-%{gem_name}
Version: 0.1.4
Release: 1%{?dist}
Summary: Compila trabalhos acadêmicos escritos em Asciidoc com as normas da ABNT
License: MIT
URL: https://github.com/edusantana/trabalho-academico-abnt-asciidoc
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Este programa é utilizada para gerar pdfs para TCCs, monografias,
dissertações, teses com as normas da ABNT. Consulte um modelo de arquivo em
https://github.com/edusantana/abntex2-modelo-trabalho-academico-asciidoc.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/trabalho-academico-abnt-asciidoc
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Thu Sep 16 2021 mockbuilder - 0.1.4-1
- Initial package
